<script type="text/javascript">
    var InterfaceTapas = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerForm = $( "#formulaire" );
            this.containerErrors = $( "#errors" );

            this.containerErrors.hide();
            this.createForm();
        },

        // CREATES ********************************************************
        createForm: function()
        {
            // Create button elements
            this.input1 = $( document.createElement( "input" ) );
            var input2 = $( document.createElement( "input" ) );

            this.input1.attr( {id:"1"} );
            this.containerForm.append( this.input1 );

            input2.attr( {id:"2"} );
            this.containerForm.append( input2 );

            var submitButton = new Button( {value:tapasTexts["label.submitButton"], parent:this.containerForm, id:"button_submit", className: "red_button", classNameText:"red_button_text", onClick:jQuery.proxy( this.onClickSubmit, this )} );

        },

        // REQUESTS ********************************************************
        requestCreateXML: function()
        {
            var tapasForm = this.createTapasForm();
            //passage de javascript a json grace au jquery
            var jsonTapasForm = $.toJSON( tapasForm );

            if( jsonTapasForm )
                $.ajax( {
                    url: "data?methodName=createUserRequest&jsonTapas=" + jsonTapasForm,
                    success:jQuery.proxy( this.handleCreateXML, this ),
                    error: jQuery.proxy( this.showErrors, this )
                } );
        },

        // HANDLES ******************************************************** = retours ajax
        handleCreateXML: function( result )
        {
            var bob = jQuery.parseJSON( result ).result;
            alert( bob );
        },


        // EVENTS ********************************************************
        onClickSubmit: function()
        {
            this.containerErrors.hide();
            this.requestCreateXML();
        },

        // OTHERS ********************************************************
        showErrors: function( result )
        {
            this.containerErrors.show();
            this.containerErrors.html( tapasTexts[result.responseText] );
        },

        createTapasForm: function()
        {
            // PREFERENCE
            var preference = new Object();

            preference.format = new Object();
            preference.format.firstValue = $( "#1" ).val();
            preference.format.secondValue = $( "#2" ).val();

            var pair = new Object();
            pair.firstValue = "YES,NO";
            pair.secondValue = "YES";

            preference.rayleighExtinction = pair;
            preference.h2oExtinction = pair;
            preference.o3Extinction = pair;
            preference.o2Extinction = pair;
            preference.co2Extinction = pair;

            // OBSERVATION
            // Observatory
            var observatory = new Object();
            observatory.name = "SanFernandoObs.RSanFernando";

            observatory.longitude = new Object();
            observatory.longitude.min = "-180";
            observatory.longitude.max = "180";
            observatory.longitude.value = -118.491666666667;

            observatory.latitude = new Object();
            observatory.latitude.min = "-90";
            observatory.latitude.max = "90";
            observatory.latitude.value = 34.3083333333333;

            observatory.altitude = new Object();
            observatory.altitude.min = "0";
            observatory.altitude.max = "10000";
            observatory.altitude.value = 371;

            // Los
            var los = new Object();
            los.raJ2000 = "04:32:43";
            los.decJ2000 = "-43:12:10.22";

            los.zenithAngle = new Object();
            los.zenithAngle.min = "0";
            los.zenithAngle.max = "90";
            los.zenithAngle.value = 60;

            // Instrument
            var instrument = new Object();

            instrument.spectralChoice = new Object();
            instrument.spectralChoice.firstValue = "Vacuum Wavelength (nm),Standard Wavelength (nm),Wavenumber (cm-1)";
            instrument.spectralChoice.secondValue = "Standard Wavelength (nm)";
            instrument.spectralRange = "1180 1200";
            instrument.ilsfChoice = new Object();
            instrument.ilsfChoice.firstValue = "-1,0,1";
            instrument.ilsfChoice.secondValue = 0;
            instrument.ilsfPath = "/home/ferron/tmp/tapas/ilsf.txt";
            instrument.resolvingPower = new Object();
            instrument.resolvingPower.firstValue = "0";
            instrument.resolvingPower.secondValue = 1000000;
            instrument.samplingRatio = new Object();
            instrument.samplingRatio.firstValue = "0";
            instrument.samplingRatio.secondValue = 3;

            var observation = new Object();
            observation.date = "2012-02-24";
            observation.observatory = observatory;
            observation.los = los;
            observation.instrument = instrument;

            // ATMOSPHERE
            var atmosphere = new Object();
            atmosphere.reference = new Object();
            atmosphere.reference.firstValue = "0,1,2,3,4,5,6";
            atmosphere.reference.secondValue = 6;

            atmosphere.arlettyFile = new Array();
            atmosphere.arlettyFile[0] = "/home/ferron/tmp/tapas/Reims_070402.ARL.txt";
            atmosphere.arlettyFile[1] = "/home/ferron/tmp/tapas/Reims_070402.ARL.txt22";

            atmosphere.ecmwfFile = new Array();
            atmosphere.ecmwfFile[0] = "/home/ferron/tmp/tapas/ecmwf12.txt";

            // REQUEST
            var request = new Object();
            request.id = 1;
            request.preference = preference;
            request.observation = observation;
            request.atmosphere = atmosphere;

            var requests = new Array();
            requests[0] = request;

            // TAPAS
            var tapas = new Object();
            tapas.id = "Ether_TAPAS_0000001";
            tapas.requests = requests;

            return tapas;
        }

    } );


</script>
